twitter4j

## Interface DirectMessageList

All Superinterfaces:
  Collection<DirectMessage>, Iterable<DirectMessage>, List<DirectMessage>, ResponseList<DirectMessage>, Serializable, TwitterResponse

    public interface DirectMessageList
    extends ResponseList<DirectMessage>

List of `DirectMessage` like string cursor version of `PagableResponseList`

Since:
  Twitter4J 4.0.7
Author:
  Hiroaki TAKEUCHI - takke30 at gmail.com

### Field Summary

### Fields inherited from interface twitter4j.TwitterResponse

`NONE, READ, READ_WRITE, READ_WRITE_DIRECTMESSAGES`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getNextCursor()`

### Methods inherited from interface twitter4j.ResponseList

`getRateLimitStatus`

### Methods inherited from interface twitter4j.TwitterResponse

`getAccessLevel`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Method Detail

#### getNextCursor

    String getNextCursor()